function E0090()
    SetColonAction()
    FAI(0)
end
function E0091()
    SetColonAction()
    FAI(1)
end
function E0092()
    SetColonAction()
    FAI(2)
end
function E0093()
    SetColonAction()
    FAI(3)
end
function E0094()
    SetColonAction()
    FAI(4)
end

--去外面
function Door_GoVillage()
    if(FLJ("ColonLeave")) then
        PRI()MM0()SOU("CS_011_door")ANP("Door_GoVillage",0,1)FAO(2)TRA("CS_village","E0090",3,11)
    else
        PRI()MM0()SOU("CS_011_door")ANP("Door_GoVillage",0,1)FAO(2)TRA("CS_village_night","E0090",3,11)
    end
end

--去小房间
function Door_GoSmallRoom()
    PRI()MM0()FAO(2)TRA("CS_bar_smallroom","E0090",20,12)
end

--设置科恩动作
function SetColonAction()
    if(FLJ("ColonLeave")) then
        --科恩在桑塔家
        DNP("Colon1_2")
        DNP("Colon2")
        DNP("Colon3")
        ANP("Bar",0,0)
        MNA()CMU("CS_Mura")
    else
        if(FLJ("GaveTheFish")) then
            ANP("Colon1_2","sleep_on_bed",0)--睡着的
        else
            ANP("Colon1","sleep_on_bed",0)--睡着的
        end
        ANP("Colon2",5,1)--坐着的
        ANP("Colon3",2,0)--背对着的
        MNA()CMU("CS_Anzen")
    end
end

--科恩1（睡觉的）
function Colon1()
    if(FLJ("GaveTheFish")) then
        KEY()
        MS4("间八哥以后如果有空的话")NOD()
        CAT("\n来教我钓鱼吧~")NOD()
    else
        if(ITJ("Chinfish")) then
            KEY()
            SLR(0,PLY())
            MS4("\n呼噜..")NOD()CLR()
            CAT("\n(嗅嗅)")NOD()CLR()
            CAT("是鱼的味道，")NOD()
            CAT("\n好想吃鱼噢～")NOD()CLO()MYB(0,PLY())WAS()MYB(0,PLY())WAS()
            --科恩1站起
            WAI(32)
            ANP("Colon1",0,1)
            WAI(32)
            MS4("啊啦！是间八哥")NOD()
            CAT("\n你带鱼来看我了嘛~")NOD()CLR()
            --放下水桶
            SNP("CS_bucket",11,13,0,"mainLayer","Bucket1")
            CAT("谢谢！")NOD()
            CAT("\n作为回礼我给你这个吧")NOD()CLR()
            SOU("CS_022_chest_open")
            GIT("LifeCapsule")
            CMU("CS_Fanfale2")CAT("获得了 =生命胶囊= ！")WAI(160)NOD()RMU()
            MLP(5)
            CAT("\n生命值的上限增加了 5 点！")NOD()
            ITS("Chinfish")
            FLP("GaveTheFish")
        else
            KEY()
            MS4("\n呼噜....")NOD()
        end
    end
end
--科恩1_2（睡觉的）
function Colon1_2()
    KEY()
    MS4("\n呼噜....我的间八哥..")NOD()
end

--科恩2（坐着的）
function Colon2()
    KEY()
    MS4("在地上的生活真好！")NOD()
    CAT("\n虽然时不时也会梦见")
    CAT("\n以前在砂区收容所的日子")NOD()
end
--科恩3
function Colon3()
    KEY()
    MS4("天气似乎变冷了")NOD()
    CAT("\n壁炉好暖和~")NOD()
end

--柜台（科恩4）
function Bar()
    if(FLJ("ColonLeave")) then
        KEY()
        MSG("\n柜台已经没有人了。")NOD()
    else
        if(FLJ("ChatWithColon4")) then
            KEY()
            MS4("我们会一直在这等大家回来的。")NOD()
            CAT("\n间八哥也早点休息呐~")NOD()
        else
            KEY()
            MS4("卡莉她这几天也不在")NOD()
            CAT("\n所以轮到我们看家啦~")NOD()CLR()
            CAT("\n间八哥想喝点啥嘛？")NOD()CLR()
            CAT("嗯...？")NOD()
            CAT("\n我们才不会偷偷喝酒啦！")NOD()
            CAT("\n虽然我们还比较小，")NOD()
            CAT("\n但我们已经很懂事了。")NOD()CLR()
            CAT("知道啦！")NOD()
            CAT("\n这几天我们不会乱跑的，")NOD()
            CAT("\n间八哥放心！")NOD()
            FLP("ChatWithColon4")
        end
    end
end

function Party()
    KEY()
    CMU("CS_Anzen")

    SNP("CS_santa_animate",19,14,0,"mainLayer","Santa1")--桑塔
    ANP("Santa1","sit_on_chair")
    ANP("Table1","wine")

    SNP("CS_sue_animate",21,14,0,"mainLayer","Sue1")--数
    ANP("Sue1","sit_on_chair")
    ANP("Table2","juice")

    SNP("CS_toroko_animate",25,14,0,"mainLayer","Toroko1")--多隆子
    ANP("Table3","chess")
    ANP("Colon3","normal",1)

    DNP("Colon1_2")
    SNP("CS_colon_animate",14,14,0,"mainLayer","Colon1")
    ANP("Colon1","sit")
    ANP("Colon2","sit")
    SNP("CS_poker",12,14,0,"mainLayer","Poker1")
    FAI(2)
    WAI(64)
    FAC("sue_angry")MS3("\n这里简直不要太好！")NOD()CLR()
    FAC("toroko_><")CAT("\n可已经晚上12点了呀~")NOD()CLR()
    FAC("sue_normal")CAT("金不在的这几天，")NOD()
    CAT("\n多隆子我们晚上都过来玩吧！")NOD()CLR()
    FAC("toroko_normal")CAT("要是被杰克发现我们还没睡")
    FAC("toroko_><")CAT("\n会被骂的啦..")NOD()CLR()
    FAC("sue_normal")CAT("没关系的！")NOD()
    FAC("sue_angry")CAT("\n有我在他不敢的...")NOD()CLO()
    WAI(32)
    CMU("XXXX")
    SOU("CS_011_door")ANP("Door_GoVillage",0,1)
    WAI(32)
    --杰克出现
    SNP("CS_jack_animate",28,14,0,"mainLayer","Jack1")--杰克
    WAI(32)
    ANP("Toroko1","normal",1)
    WAI(32)
    --多隆子跑到数旁边
    ANP("Toroko1","run",0)
    ANP("Toroko1","jump",0)
    WAI(54)
    WAI(16)
    ANP("Toroko1","normal",1)
    WAI(32)
    --数往右看
    ANP("Sue1","normal",1)
    WAI(32)
    ANP("Colon1","sit",1)
    WAI(32)
    --扑克牌倒了
    ANP("Poker1","collapsed")
    WAI(64)

    MS3("\n.")
    for i=0,5,1 do
        WAI(16)
        CAT(".")
    end
    CLR()
    FAC("jack_normal")CAT("\n已经12点了你们都不睡觉的嘛？")NOD()CLR()
    FAC("sue_sad")CAT("知道啦")NOD()
    CAT("\n我们现在就去...")NOD()CLO()
    ANP("Sue1","walk")
    WAI(80)
    ANP("Jack1","walk")
    WAI(16)
    ANP("Jack1","normal")
    WAI(14)
    ANP("Sue1","back")
    WAI(2)
    ANP("Toroko1","run",1)
    ANP("Toroko1","jump",1)
    WAI(16)
    DNP("Sue1")
    WAI(78)
    DNP("Toroko1")
    WAI(64)
    FAC("jack_normal")MS3("柯恩你们下班后")
    CAT("\n也要按时乖乖去睡觉呐。")NOD()CLR()
    FAC()CAT("\n知道啦杰克村长~")NOD()CLO()
    FAO(2)
    TRA("CS_toroko_house_night","BeforeSleep",15,16)
end
